# `input [radio]` (directive in module `ng` )

Improve this doc

## Description

HTML radio button.

## Usage

    <input type="radio"
           ng-model="{string}"
           value="{string}"
           [name="{string}"]
           [ng-change="{string}"]>

### Parameters

- `ngModel – {string} –`

  Assignable angular expression to data-bind to.

- `value – {string} –`

  The value to which the expression should be set when selected.

- `name(optional) – {string=} –`

  Property name of the form under which the control is published.

- `ngChange(optional) – {string=} –`

  Angular expression to be executed when input changes due to user interaction with the input element.

## Example

#### Source

#### Demo